Skip to content
POST /unified/accounting/items

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

idstring
required·

The unique identifier for the item

3 supported2 required
Microsoft Dynamics 365 Business Central
required
Xero
required
QuickBooks
supported
descriptionstring

The description of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
namestring

The name of the item

3 supported1 required
Microsoft Dynamics 365 Business Central
required
QuickBooks
supported
Xero
supported
purchase_accountstring

The ID of the account used to record the purchase of the item

2 supported
QuickBooks
supported
Xero
supported
purchase_pricenumber

The purchase price of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
quantitynumber

The quantity of the Item.

2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

sales_accountstring

The ID of the account used to record the sale

2 supported
QuickBooks
supported
Xero
supported
statusstring

The status of the item. If no clear mapping exists, then raw value is returned

Possible values:
activearchivedactivearchived
2 supported1 required
Microsoft Dynamics 365 Business Central
required
activearchived
QuickBooks
supported
tax_codestring

The tax group the Item will fall under

1 supported
Microsoft Dynamics 365 Business Central
supported
unit_pricenumber

The unit price of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported

Response Body

idstring
required·

The unique identifier for the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
asset_accountstring

The ID of the account used to record the asset

1 supported
QuickBooks
supported
companystring

The ID of the company the item belongs to

References: CompanyInfo → id
created_atstring · date-time

This represents the date when the item was created

1 supported
QuickBooks
supported
descriptionstring

The description of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
namestring

The name of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
purchase_accountstring

The ID of the account used to record the purchase of the item

2 supported
QuickBooks
supported
Xero
supported
purchase_pricenumber

The purchase price of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
quantitynumber

The quantity of the Item.

2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sales_accountstring

The ID of the account used to record the sale

2 supported
QuickBooks
supported
Xero
supported
statusstring

The status of the item. If no clear mapping exists, then raw value is returned

Possible values:
activearchived
2 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
unit_pricenumber

The unit price of the item

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the item was updated

3 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
curl -X POST 'https://api.truto.one/unified/accounting/items?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "your_id",
  "name": "your_name",
  "description": "your_description",
  "status": "active",
  "quantity": 0,
  "unit_price": 0,
  "purchase_price": 0,
  "tax_code": "your_tax_code",
  "sales_account": "your_sales_account",
  "purchase_account": "your_purchase_account",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "id": "your_id",
  "name": "your_name",
  "description": "your_description",
  "status": "active",
  "quantity": 0,
  "unit_price": 0,
  "purchase_price": 0,
  "tax_code": "your_tax_code",
  "sales_account": "your_sales_account",
  "purchase_account": "your_purchase_account",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/items?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/items"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "id": "your_id",
    "name": "your_name",
    "description": "your_description",
    "status": "active",
    "quantity": 0,
    "unit_price": 0,
    "purchase_price": 0,
    "tax_code": "your_tax_code",
    "sales_account": "your_sales_account",
    "purchase_account": "your_purchase_account",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'items',
  {
  "id": "your_id",
  "name": "your_name",
  "description": "your_description",
  "status": "active",
  "quantity": 0,
  "unit_price": 0,
  "purchase_price": 0,
  "tax_code": "your_tax_code",
  "sales_account": "your_sales_account",
  "purchase_account": "your_purchase_account",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "items",
        {
        "id": "your_id",
        "name": "your_name",
        "description": "your_description",
        "status": "active",
        "quantity": 0,
        "unit_price": 0,
        "purchase_price": 0,
        "tax_code": "your_tax_code",
        "sales_account": "your_sales_account",
        "purchase_account": "your_purchase_account",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())